Package org.globus.tools

# Class CertInfo

java.lang.Object
org.globus.tools.CertInfo

public class CertInfo extends Object
Returns information about the Cert

     Syntax: java CertInfo [-help] [-file certfile] [-all] [-subject] [...]
     Displays certificate information. Unless the optional -file
     argument is given, the default location of the file containing the
     certficate is assumed:
       --  Config.getUserCertFile()
     Options
       -help, -usage                Display usage
       -version                     Display version
       -file certfile               Use 'certfile' at non-default location
       -globus                      Prints information in globus format
     Options determining what to print from certificate
       -all                        Whole certificate
       -subject                    Subject string of the cert
       -issuer                     Issuer
       -startdate                  Validity of cert: start date
       -enddate                    Validity of cert: end date

## Constructor Summary

Constructors
Constructor
Description
`CertInfo()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CertInfo

public CertInfo()

## Method Details

### main

public static void main(String[] args)